QuickFIX: FIX::UtcTimeStamp Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcTimeStamp Class Reference
[User]

Date and Time represented in UTC. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::UtcTimeStamp:
[legend]
Collaboration diagram for FIX::UtcTimeStamp:
[legend]

List of all members.

## Public Member Functions
| UtcTimeStamp ()
| Defaults to the current date and time.
| UtcTimeStamp (int hour, int minute, int second, int millisecond=0)
| Defaults to the current date.
| UtcTimeStamp (int hour, int minute, int second, int date, int month, int year)
| UtcTimeStamp (int hour, int minute, int second, int millisecond, int date, int month, int year)
| UtcTimeStamp (time_t time, int millisecond=0)
| UtcTimeStamp (const tm *time, int millisecond=0)
void | setCurrent ()

## Detailed Description

Date and Time represented in UTC.

Definition at line 399 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::UtcTimeStamp::UtcTimeStamp | ( |  | ) | `[inline]`

Defaults to the current date and time.

Definition at line 403 of file FieldTypes.h.

    00404   : DateTime( DateTime::nowUtc() ) {}

FIX::UtcTimeStamp::UtcTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Defaults to the current date.

Definition at line 407 of file FieldTypes.h.

References FIX::DateTime::setHMS().

    00408   : DateTime( DateTime::nowUtc() )
    00409   {
    00410     setHMS( hour, minute, second, millisecond );
    00411   }

FIX::UtcTimeStamp::UtcTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 413 of file FieldTypes.h.

    00415   : DateTime( year, month, date, hour, minute, second, 0 ) {}

FIX::UtcTimeStamp::UtcTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond,
|  | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 417 of file FieldTypes.h.

    00419   : DateTime( year, month, date, hour, minute, second, millisecond ) {}

FIX::UtcTimeStamp::UtcTimeStamp | ( | time_t | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline, explicit]`

Definition at line 421 of file FieldTypes.h.

    00422   : DateTime( fromUtcTimeT (time, millisecond) ) {}

FIX::UtcTimeStamp::UtcTimeStamp | ( | const tm * | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 424 of file FieldTypes.h.

    00425   : DateTime( fromTm (*time, millisecond) ) {}

## Member Function Documentation

void FIX::UtcTimeStamp::setCurrent | ( |  | ) | `[inline]`

Definition at line 427 of file FieldTypes.h.

References FIX::DateTime::nowUtc().

Referenced by FIX::ScreenLog::onEvent(), FIX::ScreenLog::onIncoming(), FIX::ScreenLog::onOutgoing(), and FIX::NullStore::reset().

    00428   {
    00429     set( DateTime::nowUtc() );
    00430   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h